From 1abeb34f047d20e6af5992a1fc3ef1243f87ea84 Mon Sep 17 00:00:00 2001
From: Neil Mayhew <neil_mayhew@sil.org>
Date: Wed, 20 Jan 2016 14:20:25 -0700
Subject: [PATCH] Don't call dpkg-architecture unless it's necessary

---
 scripts/dpkg-buildpackage.pl | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

diff --git a/scripts/dpkg-buildpackage.pl b/scripts/dpkg-buildpackage.pl
index 17ada97..3c3352e 100755
--- a/scripts/dpkg-buildpackage.pl
+++ b/scripts/dpkg-buildpackage.pl
@@ -440,27 +440,27 @@ if ($changedby) {
 }
 
 
-my @arch_opts;
-push @arch_opts, ('--host-arch', $host_arch) if $host_arch;
-push @arch_opts, ('--host-type', $host_type) if $host_type;
-push @arch_opts, ('--target-arch', $target_arch) if $target_arch;
-push @arch_opts, ('--target-type', $target_type) if $target_type;
-
-open my $arch_env, '-|', 'dpkg-architecture', '-f', @arch_opts
-    or subprocerr('dpkg-architecture');
-while (<$arch_env>) {
-    chomp;
-    my ($key, $value) = split /=/, $_, 2;
-    $ENV{$key} = $value;
-}
-close $arch_env or subprocerr('dpkg-architecture');
-
 my $arch;
 if (build_sourceonly) {
     $arch = 'source';
 } elsif (build_binaryindep) {
     $arch = 'all';
 } else {
+    my @arch_opts;
+    push @arch_opts, ('--host-arch', $host_arch) if $host_arch;
+    push @arch_opts, ('--host-type', $host_type) if $host_type;
+    push @arch_opts, ('--target-arch', $target_arch) if $target_arch;
+    push @arch_opts, ('--target-type', $target_type) if $target_type;
+
+    open my $arch_env, '-|', 'dpkg-architecture', '-f', @arch_opts
+        or subprocerr('dpkg-architecture');
+    while (<$arch_env>) {
+        chomp;
+        my ($key, $value) = split /=/, $_, 2;
+        $ENV{$key} = $value;
+    }
+    close $arch_env or subprocerr('dpkg-architecture');
+
     $arch = mustsetvar($ENV{DEB_HOST_ARCH}, g_('host architecture'));
 }
 
-- 
2.7.0.rc3

